package cn.com.qmth.examcloud.core.questions.base.em.enums;

/**
 * @author ting.yin
 * @Description: 考试类型
 * @date 2017年1月5日
 */
public enum ExamType {
    /**
     * 传统考试
     */
    TRADITION,
    /**
     * 在线考试
     */
    ONLINE,
    /**
     * 在线练习
     */
    PRACTICE,

    /**
     * 离线考试
     */
    OFFLINE,

    /**
     * 分布式印刷考试
     */
    PRINT_EXAM;

    public static ExamType strToEnum(String str) {
        for (ExamType examType : ExamType.values()) {
            if (examType.name().equals(str)) {
                return examType;
            }
        }
        return null;
    }

}